Get All V Centers V2 Using GET

Get All V Centers V2 Using GET

Get all vCenters

Request
URI
GET
https://{api_host}//lcm-15-95.eng.vmware.com/lcm/lcops/api/v2/datacenters/{dataCenterVmid}/vcenters
COPY
Path Parameters
string
dataCenterVmid
Required

dataCenterVmid


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns Array of VCenterRequestDTO of type(s) application/json
[
    {
        "vCenterHost": "string",
        "vCenterName": "string",
        "vcDataCollectionStatus": "string",
        "vcPassword": "string",
        "vcUsedAs": "string",
        "vcUsername": "string"
    }
]

400

Bad Request

Returns GenericErrorResponseDTO of type(s) application/json
{
    "errorCode": "string",
    "errorLabel": "string",
    "message": "string",
    "recommendations": [
        "string"
    ],
    "status": "string"
}
string
errorCode
Optional

errorCode

string
errorLabel
Optional

errorLabel

string
message
Optional

message

array of string
recommendations
Optional

recommendations

string
status
Optional

status


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

404

Not Found

Returns GenericErrorResponseDTO of type(s) application/json
{
    "errorCode": "string",
    "errorLabel": "string",
    "message": "string",
    "recommendations": [
        "string"
    ],
    "status": "string"
}
string
errorCode
Optional

errorCode

string
errorLabel
Optional

errorLabel

string
message
Optional

message

array of string
recommendations
Optional

recommendations

string
status
Optional

status


500

Internal Server Error

Returns GenericErrorResponseDTO of type(s) application/json
{
    "errorCode": "string",
    "errorLabel": "string",
    "message": "string",
    "recommendations": [
        "string"
    ],
    "status": "string"
}
string
errorCode
Optional

errorCode

string
errorLabel
Optional

errorLabel

string
message
Optional

message

array of string
recommendations
Optional

recommendations

string
status
Optional

status